<?php


function _is_domain($x) {
  return ($x != "" && $x[0] != "#");
}

function noblogs_list_friend_domains() {
  exec("ldapsearch -LLL -u -x '(&(status=active)(acceptMail=true))' cn | awk '/^cn:/ {print $2}'", $ldap_domains);
  $ext_domains = explode("\n", file_get_contents("/etc/noblogs/friend_domains"));
  $all_domains = array_filter(array_merge($ldap_domains, $ext_domains),
                              "_is_domain");
  sort($all_domains);
  return $all_domains;
}

